Change Layer - AutoLISP

Change Layer - AutoLISP ที่ใช้เปลี่ยนเลเยอร์แบบง่ายๆ โดยการกำหนดเลเยอร์ของวัตถุที่ต้องการเปลี่ยนให้เป็น แล้วเลือกวัตถุที่ต้องการให้เปลี่ยนตามครับผม


(defun c:chlayer (/ a1 a2 n index b1 b2 d1 d2 b3)

(graphscr)

(prompt "\nselect entities to be changed: ")

(setq a1 (ssget))

(prompt "\npoint to entity on target layer: ")

(setq a2 (entsel))

(setq n (sslength a1))

(setq index 0)

(setq b2 (entget (car a2)))

(setq d2 (assoc 8 b2))

(repeat n

(setq b1 (entget (ssname a1 index)))

(setq d1 (assoc 8 b1))

(setq b3 (subst d2 d1 b1))

(entmod b3)

(setq index (+ index 1))

)

(princ)

)

ผู้ติดตาม

Pageviews